> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search alerts

> Searches for alerts that match the input.

## Body parameters

<ParamField body="assigned_to_member_id" type="integer" />

<ParamField body="categories" type="string[]">
  Possible values: "pep" | "rca" | "sip" | "sie" | "rca\_pep" | "rca\_sip" | "rca\_sie"
</ParamField>

<ParamField body="creation_date_from" type="string">
  Format 2022-10-11T00:00:00+02:00
</ParamField>

<ParamField body="creation_date_to" type="string">
  Format 2022-10-11T00:00:00+02:00
</ParamField>

<ParamField body="external_id" type="string" />

<ParamField body="id" type="string" />

<ParamField body="last_update_from" type="string">
  Format 2022-10-11T00:00:00+02:00
</ParamField>

<ParamField body="last_update_to" type="string">
  Format 2022-10-11T00:00:00+02:00
</ParamField>

<ParamField body="limit" type="integer" />

<ParamField body="name" type="string" />

<ParamField body="offset" type="integer" />

<ParamField body="only_without_assignment" type="boolean" />

<ParamField body="only_without_review_groups" type="boolean" />

<ParamField body="order_by" type="AlertSearchDTOOrderBy">
  <Expandable title="properties" />
</ParamField>

<ParamField body="order_way" type="AlertSearchDTOOrderWay">
  <Expandable title="properties" />
</ParamField>

<ParamField body="review_groups" type="string[]" />

<ParamField body="sanction_list_id" type="integer" />

<ParamField body="sanction_list_str" type="string" />

<ParamField body="score_from" type="integer" />

<ParamField body="score_to" type="integer" />

<ParamField body="states" type="integer[]">
  Possible states: 1 (Unknown), 2 (New), 3 (Pending Information), 4 (True Hit), 5 (True Hit Accepted), 6 (True Hit Rejected), 7 (False Positive)
</ParamField>

## Response body

<Tabs>
  <Tab title="200">
    <ResponseField name="data" type="AlertWithLastRevision[]">
      <Expandable title="properties">
        <ResponseField name="created_at" type="string" />

        <ResponseField name="customer_external_id" type="string" />

        <ResponseField name="id" type="string" />

        <ResponseField name="last_revision" type="AlertRevision">
          <Expandable title="properties">
            <ResponseField name="agent_id" type="string" />

            <ResponseField name="comment" type="string" />

            <ResponseField name="created_at" type="string" />

            <ResponseField name="customer_revision_id" type="string" />

            <ResponseField name="id" type="string" />

            <ResponseField name="profile_date" type="integer" />

            <ResponseField name="revision_number" type="integer" />

            <ResponseField name="score" type="integer">
              Overall match score between 0 and 100
            </ResponseField>

            <ResponseField name="state" type="integer" />

            <ResponseField name="top_category" type="string">
              PEP, SAN, SIP, RCA\_SIP, etc
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="profile_number" type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="total" type="integer" />
  </Tab>

  <Tab title="default">
    unexpected error

    <ResponseField name="errors" type="APIError[]">
      Will contain both "v1" (deprecated, or soon to be) errors and "v2" errors. When possible, prefer errors that are not deprecated.

      <Expandable title="properties">
        <ResponseField name="code" type="string" />

        <ResponseField name="deprecated" type="boolean" />

        <ResponseField name="message" type="string" />

        <ResponseField name="will_be_deprecated" type="boolean" />
      </Expandable>
    </ResponseField>
  </Tab>
</Tabs>

<RequestExample>
  ```json JSON
  {
    "assigned_to_member_id": "integer",
    "categories": [
      "string"
    ],
    "creation_date_from": "string",
    "creation_date_to": "string",
    "external_id": "string",
    "id": "string",
    "last_update_from": "string",
    "last_update_to": "string",
    "limit": "integer",
    "name": "string",
    "offset": "integer",
    "only_without_assignment": "boolean",
    "only_without_review_groups": "boolean",
    "order_by": {},
    "order_way": {},
    "review_groups": [
      "string"
    ],
    "sanction_list_id": "integer",
    "sanction_list_str": "string",
    "score_from": "integer",
    "score_to": "integer",
    "states": [
      "integer"
    ]
  }
  ```

  ```javascript JavaScript

    const response = await fetch(
      "POST /api/v1/alerts/search",
      {
        method: "post",
        headers: {
          "Content-Type": "application/json",
          "Authorization": `Bearer {token}`
        },
        body: JSON.stringify({
    "assigned_to_member_id": "integer",
    "categories": [
      "string"
    ],
    "creation_date_from": "string",
    "creation_date_to": "string",
    "external_id": "string",
    "id": "string",
    "last_update_from": "string",
    "last_update_to": "string",
    "limit": "integer",
    "name": "string",
    "offset": "integer",
    "only_without_assignment": "boolean",
    "only_without_review_groups": "boolean",
    "order_by": {},
    "order_way": {},
    "review_groups": [
      "string"
    ],
    "sanction_list_id": "integer",
    "sanction_list_str": "string",
    "score_from": "integer",
    "score_to": "integer",
    "states": [
      "integer"
    ]
  })
      }
    );
              
            
  ```
</RequestExample>

<ResponseExample>
  ```json 200
  {
    "data": [
      {
        "created_at": "string",
        "customer_external_id": "string",
        "id": "string",
        "last_revision": {
          "agent_id": "string",
          "comment": "string",
          "created_at": "string",
          "customer_revision_id": "string",
          "id": "string",
          "profile_date": "integer",
          "revision_number": "integer",
          "score": "integer",
          "state": "integer",
          "top_category": "string"
        },
        "profile_number": "string"
      }
    ],
    "total": "integer"
  }
  ```

  ```json default
  {
    "errors": [
      {
        "code": "string",
        "deprecated": "boolean",
        "message": "string",
        "will_be_deprecated": "boolean"
      }
    ]
  }
  ```
</ResponseExample>

<script type="application/javascript">document.body.style.opacity = 0;</script>

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/decrypt.js" />

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/text-replace.js" />
